Output arguments
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulario
Parâmetros de consulta
sortstringOpcionalDefault:
argumentdirstringOpcionalDefault:
ascRespostas
200
Output arguments listed
application/json
idstringOpcional
argumentstringOpcional
form_field_idstringOpcional
404
Form was not found
application/json
422
A query param was invalid
application/json
500
An internal server error was thrown
application/json
get/forms/{formId}/output-arguments
GET /api/b2b/forms/{formId}/output-arguments HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": "text",
"argument": "text",
"form_field_id": "text"
}
]Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulario
Corpo
argumentstringOpcional
form_field_idstringOpcional
Respostas
201
Criado
application/json
idstringOpcional
argumentstringOpcional
form_field_idstringOpcional
404
Form was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
post/forms/{formId}/output-arguments
POST /api/b2b/forms/{formId}/output-arguments HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 42
{
"argument": "text",
"form_field_id": "text"
}{
"id": "text",
"argument": "text",
"form_field_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulario
Corpoobject · UpdateFormOutputArgumentRequest[]
idstringOpcional
form_field_idstringOpcional
argumentstringOpcional
Respostas
201
Criado
application/json
idstringOpcional
argumentstringOpcional
form_field_idstringOpcional
404
Form was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
put/forms/{formId}/output-arguments
PUT /api/b2b/forms/{formId}/output-arguments HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56
[
{
"id": "text",
"form_field_id": "text",
"argument": "text"
}
]{
"id": "text",
"argument": "text",
"form_field_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulário
argumentIdstringObrigatório
ID do argumento
Respostas
200
OK
application/json
idstringOpcional
argumentstringOpcional
form_field_idstringOpcional
404
Form was not found
application/json
500
An internal server error was thrown
application/json
get/forms/{formId}/output-arguments/{argumentId}
GET /api/b2b/forms/{formId}/output-arguments/{argumentId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"argument": "text",
"form_field_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulario
argumentIdstringObrigatório
Corpo
idstringOpcional
form_field_idstringOpcional
argumentstringOpcional
Respostas
201
Criado
application/json
idstringOpcional
argumentstringOpcional
form_field_idstringOpcional
404
Form was not found
application/json
422
A validation error was thrown
application/json
500
An internal server error was thrown
application/json
put/forms/{formId}/output-arguments/{argumentId}
PUT /api/b2b/forms/{formId}/output-arguments/{argumentId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54
{
"id": "text",
"form_field_id": "text",
"argument": "text"
}{
"id": "text",
"argument": "text",
"form_field_id": "text"
}Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório
ID do formulário
argumentIdstringObrigatório
ID do argumento
Respostas
204
Form output argument deleted successfully
Sem conteúdo
404
Form field was not found
500
An internal server error was thrown
delete/forms/{formId}/output-arguments/{argumentId}
DELETE /api/b2b/forms/{formId}/output-arguments/{argumentId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Sem conteúdo